package ru.ifmo.tracklayer.co;

import com.evelopers.unimod.runtime.ControlledObject;
import com.evelopers.unimod.runtime.context.StateMachineContext;

import ru.ifmo.tracklayer.gui.GUIFrame;

public class Screen implements ControlledObject {
	
	/**
	*@unimod.action.descr Set button names for stopped state
	*/
	public void z1 (StateMachineContext context)
	{	
		GUIFrame.setButtonsStop();
	}
	
	/**
	*@unimod.action.descr Set button names for running state
	*/
	public void z2 (StateMachineContext context)
	{	
		GUIFrame.setButtonsRun();
	}
	
	/**
	*@unimod.action.descr Set button names for paused state
	*/
	public void z3 (StateMachineContext context)
	{	
		GUIFrame.setButtonsPause();
	}

	/**
	 * @unimod.action.descr Redraw screen and wait
	 */
	public void z4(StateMachineContext context) {
		GUIFrame.getFrame().repaint();
		try {
			Thread.sleep(700);
		} catch (InterruptedException e) {
			
		}		
	}
}
